
QGIS Application - Bug report #18458

QGIS crashed when zooming out

2018-03-16 12:37 PM - Arni Geirsson

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.0.0 Regression?: No

Operating System: Win 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 26346

Description

Crash happened when zooming out:

User Feedback

Report Details

Crash ID: 87d6e5d47dec63ef09f26d8ba6a3d35b2386de39

Stack Trace

memcpy :

VSICreateCachedFile :

SASetupDefaultHooks :

SHPReadObject :

SHPPartTypeName :

SHPPartTypeName :

handlesDirectoryPath :

QgsAbstractFeatureIterator::nextFeature :

QgsVectorLayerFeatureIterator::fetchFeature :

QgsAbstractFeatureIterator::nextFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererParallelJob::renderLayerStatic :

QgsMapRendererParallelJob::renderingFinished :

QgsArchive::zip :

QgsImageOperation::flipImage :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299
History

#1 - 2018-03-16 12:48 PM - Giovanni Manghi

- Assignee deleted (Jürgen Fischer)

- Category changed from Windows Package to Build/Install

- Subject changed from Crash report to QGIS crashed when zooming out

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please add more details. Is 100% replicable? with any data/project? with specific data? do you use any 3rd party plugin?

#2 - 2018-08-16 02:15 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

Closing for lack of feedback.
